Package de.geolykt.starloader.deobf.access

# Class AccessTransformInfo

java.lang.Object
de.geolykt.starloader.deobf.access.AccessTransformInfo

@Deprecated @ScheduledForRemoval(inVersion="5.0.0") public final class AccessTransformInfo extends Object
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`AccessTransformInfo()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Map<String,org.objectweb.asm.tree.ClassNode> nodes, Consumer<String> warnLogger)`
Deprecated.
`boolean`
`apply(org.objectweb.asm.tree.ClassNode node, boolean runtime)`
Deprecated.
`List<AccessFlagModifier>`
`getModifiers()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessTransformInfo

public AccessTransformInfo()
Deprecated.

## Method Details

### getModifiers

public List<AccessFlagModifier> getModifiers()
Deprecated.

### apply

public boolean apply(org.objectweb.asm.tree.ClassNode node, boolean runtime)
Deprecated.

### apply

public void apply(Map<String,org.objectweb.asm.tree.ClassNode> nodes, Consumer<String> warnLogger)
Deprecated.